Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkWedge Class Reference

`#include <vtkWedge.h>`

Inheritance diagram for vtkWedge:

[legend]
Collaboration diagram for vtkWedge:

[legend]
List of all members.

## Detailed Description

a 3D cell that represents a linear wedge

Date:
  2003/01/06 20:36:14

Revision:
  1.26

vtkWedge is a concrete implementation of vtkCell to represent a linear 3D wedge. A wedge consists of two triangular and three quadrilateral faces and is defined by the six points (0-5). vtkWedge uses the standard isoparametric shape functions for a linear pyramid. The pyramid is defined by the six points (0-5) where (0,1,2) is the base of the wedge which, using the right hand rule, forms a triangle whose normal points in the direction of the opposite triangular face (3,4,5).

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (81%)
  - Geveci, Berk (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkWedge.cxx)`
  - .`h` (`/Common/vtkWedge.h)`

Examples:
  vtkWedge (Examples)

Tests:
  vtkWedge (Tests)

Definition at line 59 of file vtkWedge.h.

## [NOHEADER]
int | JacobianInverse (float pcoords[3], double **inverse, float derivs[18])
void | InterpolationFunctions (float pcoords[3], float weights[6])
void | InterpolationDerivs (float pcoords[3], float derivs[18])
int * | GetEdgeArray (int edgeId)
int * | GetFaceArray (int faceId)
## Public Types
typedef vtkCell3D | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
int | GetParametricCenter (float pcoords[3])
virtual void | GetEdgePoints (int edgeId, int *&pts)
virtual void | GetFacePoints (int faceId, int *&pts)
virtual float * | GetParametricCoords ()
int | GetCellType ()
int | GetCellDimension ()
int | GetNumberOfEdges ()
int | GetNumberOfFaces ()
vtkCell * | GetEdge (int edgeId)
vtkCell * | GetFace (int faceId)
int | CellBoundary (int subId, float pcoords[3], vtkIdList *pts)
void | Contour (float value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd)
int | EvaluatePosition (float x[3], float *closestPoint, int &subId, float pcoords[3], float &dist2, float *weights)
void | EvaluateLocation (int &subId, float pcoords[3], float x[3], float *weights)
int | IntersectWithLine (float p1[3], float p2[3], float tol, float &t, float x[3], float pcoords[3], int &subId)
int | Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts)
void | Derivatives (int subId, float pcoords[3], float *values, int dim, float *derivs)
## Static Public Methods
vtkWedge * | New ()
int | IsTypeOf (const char *type)
vtkWedge * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkWedge ()
| ~vtkWedge ()
## Protected Attributes
vtkLine * | Line
vtkTriangle * | Triangle
vtkQuad * | Quad

## Member Typedef Documentation

typedef vtkCell3D vtkWedge::Superclass

| Reimplemented from vtkCell3D. Definition at line 63 of file vtkWedge.h.

## Constructor & Destructor Documentation

vtkWedge::vtkWedge | ( |  | ) | `[protected]`

vtkWedge::~vtkWedge | ( |  | ) | `[protected]`

## Member Function Documentation

vtkWedge* vtkWedge::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkWedge::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCell3D.

int vtkWedge::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCell3D.

virtual int vtkWedge::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCell3D.

vtkWedge* vtkWedge::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCell3D.

virtual void vtkWedge::GetEdgePoints | ( | int | edgeId,
|  | int *& | pts
| ) | `[virtual]`

| See vtkCell3D API for description of these methods. Implements vtkCell3D.

virtual void vtkWedge::GetFacePoints | ( | int | faceId,
|  | int *& | pts
| ) | `[virtual]`

| See vtkCell3D API for description of these methods. Implements vtkCell3D.

virtual float* vtkWedge::GetParametricCoords | ( |  | ) | `[virtual]`

| See vtkCell3D API for description of these methods. Reimplemented from vtkCell3D.

int vtkWedge::GetCellType | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 74 of file vtkWedge.h. References VTK_WEDGE.

int vtkWedge::GetCellDimension | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Reimplemented from vtkCell3D. Definition at line 75 of file vtkWedge.h.

int vtkWedge::GetNumberOfEdges | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 76 of file vtkWedge.h.

int vtkWedge::GetNumberOfFaces | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 77 of file vtkWedge.h.

vtkCell* vtkWedge::GetEdge | ( | int | edgeId | ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

vtkCell* vtkWedge::GetFace | ( | int | faceId | ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkWedge::CellBoundary | ( | int | subId,
|  | float | pcoords[3],
|  | vtkIdList * | pts
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkWedge::Contour | ( | float | value,
|  | vtkDataArray * | cellScalars,
|  | vtkPointLocator * | locator,
|  | vtkCellArray * | verts,
|  | vtkCellArray * | lines,
|  | vtkCellArray * | polys,
|  | vtkPointData * | inPd,
|  | vtkPointData * | outPd,
|  | vtkCellData * | inCd,
|  | vtkIdType | cellId,
|  | vtkCellData * | outCd
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkWedge::EvaluatePosition | ( | float | x[3],
|  | float * | closestPoint,
|  | int & | subId,
|  | float | pcoords[3],
|  | float & | dist2,
|  | float * | weights
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkWedge::EvaluateLocation | ( | int & | subId,
|  | float | pcoords[3],
|  | float | x[3],
|  | float * | weights
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkWedge::IntersectWithLine | ( | float | p1[3],
|  | float | p2[3],
|  | float | tol,
|  | float & | t,
|  | float | x[3],
|  | float | pcoords[3],
|  | int & | subId
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkWedge::Triangulate | ( | int | index,
|  | vtkIdList * | ptIds,
|  | vtkPoints * | pts
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkWedge::Derivatives | ( | int | subId,
|  | float | pcoords[3],
|  | float * | values,
|  | int | dim,
|  | float * | derivs
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkWedge::GetParametricCenter | ( | float | pcoords[3] | ) | `[inline, virtual]`

| Return the center of the wedge in parametric coordinates. Reimplemented from vtkCell. Definition at line 124 of file vtkWedge.h.

void vtkWedge::InterpolationFunctions | ( | float | pcoords[3],
|  | float | weights[6]
| ) | `[static]`

| Wedge specific methods for computing interpolation functions and derivatives.

void vtkWedge::InterpolationDerivs | ( | float | pcoords[3],
|  | float | derivs[18]
| ) | `[static]`

int vtkWedge::JacobianInverse | ( | float | pcoords[3],
|  | double ** | inverse,
|  | float | derivs[18]
| ) |

int* vtkWedge::GetEdgeArray | ( | int | edgeId | ) | `[static]`

int* vtkWedge::GetFaceArray | ( | int | faceId | ) | `[static]`

## Member Data Documentation

vtkLine* vtkWedge::Line`[protected]`

| Definition at line 115 of file vtkWedge.h.

vtkTriangle* vtkWedge::Triangle`[protected]`

| Definition at line 116 of file vtkWedge.h.

vtkQuad* vtkWedge::Quad`[protected]`

| Definition at line 117 of file vtkWedge.h.

The documentation for this class was generated from the following file:

- Common/vtkWedge.h